# Uses of Enum Class
org.jdesktop.application.Task.BlockingScope

Packages that use Task.BlockingScope
Package
Description
org.jdesktop.application

## Uses of Task.BlockingScope in org.jdesktop.application

Methods in org.jdesktop.application that return Task.BlockingScope
Modifier and Type
Method
Description
`final Task.BlockingScope`
Task.InputBlocker.`getScope()`
Defines the extent to which the GUI is blocked while the task is being executed.
`static Task.BlockingScope`
Task.BlockingScope.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Task.BlockingScope[]`
Task.BlockingScope.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.jdesktop.application with parameters of type Task.BlockingScope
Modifier
Constructor
Description
``
`ApplicationAction(ApplicationActionMap appAM, ResourceMap resourceMap, String baseName, Method actionMethod, String enabledProperty, boolean enabledNegated, String selectedProperty, String taskService, Task.BlockingScope block)`
Construct an `ApplicationAction` that implements an `@Action`.
``
`InputBlocker(Task task, Task.BlockingScope scope, Object target)`
Construct an InputBlocker.
``
`InputBlocker(Task task, Task.BlockingScope scope, Object target, ApplicationAction action)`
Construct an InputBlocker with four immutable properties.